#include "error.h"
#include "stdlib.h"

char m_errortext[256]={0};

void seterror(const char* p)
{
  _strcpy(m_errortext,p);
}

const char* geterror()
{
  return m_errortext;
}

void prn_hex(const char* p)
{
  while(*p!=0)
  {
    TRACE("\\%02x",*p);
    p++;
  }
  TRACE("\n");
}

#ifdef _DEBUG

#ifndef __UNIX__

#include <stdio.h>
#include <stdarg.h>

#pragma comment(lib,"Kernel32.lib")

int vsprintf( char *buffer, const char *format, va_list argptr ); 
void __stdcall OutputDebugStringA(const char* lpOutputString);

void prn_out(const char* p,...)
{
  char buf[4096];
  va_list args;
  va_start(args,p);
  vsprintf(buf,p,args);

  OutputDebugStringA(buf);
}

#else

void OutputDebugStringA(const char* a)
{
  ;
}

#endif // __UNIX__

#else

void null(const void* p,...)
{
  ;
}

#endif // _DEBUG
